# TdApi.SetScopeNotificationSettings (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SetScopeNotificationSettings

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetScopeNotificationSettings

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetScopeNotificationSettings

Enclosing class:
  TdApi

public static final class TdApi.SetScopeNotificationSettings extends TdApi.Function<TdApi.Ok>
Changes notification settings for chats of a given type. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.ScopeNotificationSettings`
`notificationSettings`
The new notification settings for the given scope.
`TdApi.NotificationSettingsScope`
`scope`
Types of chats for which to change the notification settings.

## Constructor Summary

Constructors
Constructor
Description
`SetScopeNotificationSettings()`
Changes notification settings for chats of a given type.
`SetScopeNotificationSettings(TdApi.NotificationSettingsScope scope, TdApi.ScopeNotificationSettings notificationSettings)`
Changes notification settings for chats of a given type.
`SetScopeNotificationSettings(DataInput input)`
Changes notification settings for chats of a given type.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### scope

public TdApi.NotificationSettingsScope scope
Types of chats for which to change the notification settings.

### notificationSettings

public TdApi.ScopeNotificationSettings notificationSettings
The new notification settings for the given scope.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SetScopeNotificationSettings

public SetScopeNotificationSettings()
Changes notification settings for chats of a given type. Returns `Ok`

### SetScopeNotificationSettings

public SetScopeNotificationSettings(TdApi.NotificationSettingsScope scope, TdApi.ScopeNotificationSettings notificationSettings)
Changes notification settings for chats of a given type. Returns `Ok`

Parameters:
  `scope` - NotificationSettingsScope Types of chats for which to change the notification settings.
  `notificationSettings` - ScopeNotificationSettings The new notification settings for the given scope.

### SetScopeNotificationSettings

public SetScopeNotificationSettings(DataInput input) throws IOException
Changes notification settings for chats of a given type. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`